LogOnControllerGenerateDownloadHistoryFile Method |
POST /LogOn/DownloadHistory/
Generates the download file for the log on history.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("DownloadHistory")]
public IActionResult GenerateDownloadHistoryFile(
[FromBodyAttribute] QueryLogOnHistoryOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("DownloadHistory")>
Public Function GenerateDownloadHistoryFile (
<FromBodyAttribute> options As QueryLogOnHistoryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"DownloadHistory")]
IActionResult^ GenerateDownloadHistoryFile(
[FromBodyAttribute] QueryLogOnHistoryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("DownloadHistory")>]
member GenerateDownloadHistoryFile :
[<FromBodyAttribute>] options : QueryLogOnHistoryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsQueryLogOnHistoryOptions
An object that carries all need information about the log entries that are going to be downloaded. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultA status code indicating success and a
Guid corresponding to the file name, or a failure reason.
See Also